about summary refs log tree commit diff
path: root/test/pgmramp.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pgmramp.test')
-rwxr-xr-xtest/pgmramp.test18
1 files changed, 14 insertions, 4 deletions
diff --git a/test/pgmramp.test b/test/pgmramp.test
index bd63e10d..3ec73749 100755
--- a/test/pgmramp.test
+++ b/test/pgmramp.test
@@ -19,16 +19,26 @@ echo "Test 3"
 
 pgmramp -diagonal -maxval=510 256 256 | cksum
 
-echo "Test 4"
+echo "Test Invalid"
 
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
 for combination in "-lr -tb" "-lr -rectangle" "-rectangle -ellipse"
-do pgmramp $combination 10 10 || echo "Expected error: $combination"
+do pgmramp $combination 10 10 > ${test_out} || \
+   echo -n "Expected failure: $combination" ; test -s ${test_out}; echo " "$?
 done
 
-pgmramp -lr     1 || echo "Expected error: insufficient parameters"
-pgmramp -tb 1 1 1 || echo "Expected error: excessive parameters"
+pgmramp -lr     1 > ${test_out} || \
+  echo -n "Expected failure: insufficient parameters"; \
+  test -s ${test_out}; echo " "$?
+pgmramp -tb 1 1 1 > ${test_out} || \
+  echo -n "Expected failure: excessive parameters"; \
+  test -s ${test_out}; echo " "$?
+
+rm ${test_out}